variable "domain_name" {
  type = string
}

variable "domain_memory" {
  type = string
  default = "2048"
}

variable "domain_vcpu" {
  type = number
  default = 1
}

variable "domain_pool" {
  type = string
}

variable "domain_base_volume_id" {
  type = string
}

variable "domain_data_volume_size" {
  type = number
}

variable "domain_ignition_path" {
  type = string
}

variable "domain_network" {
  type = object({
    network_id = string
    hostname = string
    addresses = list(string)
    mac_address = string
  })
}
